//
//  BloglinesMenuController.h
//  BloglinesMenu
//
//  Created by Dj Walker-Morgan on 26/12/2004.
//  Copyright 2004 Runstate/Codepope. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Growl/GrowlApplicationBridge.h>

#define BLOGLINESMENU_MOREUNREAD @"More Unread"

@class PreferencesController;

@interface BloglinesMenuController : NSObject <GrowlApplicationBridgeDelegate> {
	
	NSStatusItem *statusItem;
	
	IBOutlet NSMenu *theMenu;
	
	NSTimer *mainTimer;
	
	PreferencesController *preferencesController;
	
	int pollrate;
	int snoozetime;
	
	int oldunread;
	
	bool snoozing;
	
	NSDictionary *unreadNotification;
	
	NSData *iconData;
}

-(void)timer:(NSTimer *)timer;
-(IBAction)openBloglines:(id)sender;
-(IBAction)openPreferences:(id)sender;
-(IBAction)snoozeNow:(id)sender;
-(IBAction)openAbout:(id)sender;
-(IBAction)checkNow:(id)sender;
-(void)notifyUnread:(int)unread;

@end
